Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

E-Commerce Modules /

Discuss about the various e-commerce modules available:
Ecommerce, SS Shop, SilverCart and SwipeStripe
Alternatively, have a look the shared mailinglist.

Moderators: martimiz, Nicolaas, Sean, Ed, frankmullenger, biapar, Willr, Ingo, Jedateach, swaiba

Object of class Money could not be converted to double


Go to End


12 Posts   2818 Views

Avatar
wainui

Community Member, 56 Posts

2 June 2010 at 8:59pm

I am getting error when trying go to checkout/OrderForm

Anyone else getting this and any idea on how to fix?

using latest trunks of payment and ecommerce and SS 2.4

Mike

Avatar
wainui

Community Member, 56 Posts

2 June 2010 at 9:15pm

I just installed payment-0.1-beta1.tar.gz and it fixed the error..

Mike

Avatar
biapar

Forum Moderator, 435 Posts

3 June 2010 at 7:19pm

I've the same error, but payment version is 0.3 stable.
How is possible there is error?

Avatar
wainui

Community Member, 56 Posts

3 June 2010 at 7:50pm

I think is a problem between ecommerce and the payment modules.. some versions dont play that well together..
try this http://www.silverstripe.org/e-commerce-module-forum/show/285221 has a newer version of ecommerce which might help.

Avatar
ChrisS

Community Member, 5 Posts

4 June 2010 at 9:04am

Hi Guys.

Have you managed to resolve this issue? I had a similiar problem with Money class compatability which I fixed somehow.

I am now running Payment trunk latest along with Ecommerce latest from the google-code site with no problems regarding class Money - don't need my fixes anymore.

Chris.

Avatar
biapar

Forum Moderator, 435 Posts

4 June 2010 at 9:00pm

Can you says what version have you installed?

Avatar
ChrisS

Community Member, 5 Posts

5 June 2010 at 3:41pm

Using SS 2.4, Payment trunk revision 106216 and Ecommerce revision 46, or 0.6.1, or whatever we want to call the google-code version.

Can you describe whereabouts in the order creation process the error occurs - add to cart? go to checkout? etc.

Avatar
biapar

Forum Moderator, 435 Posts

5 June 2010 at 10:04pm

CheckOut

Go to Top